Bug 1175306 (plasma-breeze) - Review Request: plasma-breeze - Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Summary: Review Request: plasma-breeze - Artwork, styles and assets for the Breeze vis...
Keywords:
Status: CLOSED RAWHIDE
Alias: plasma-breeze
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-12-17 13:28 UTC by Jan Grulich
Modified: 2015-01-20 13:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:41:59 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2014-12-17 13:28:40 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-breeze.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-breeze-5.1.1-1.fc21.src.rpm
Description:Artwork, styles and assets for the Breeze visual style for the Plasma Desktop. 
Fedora Account System Username: jgrulich
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8410486

Comment 1 Rex Dieter 2014-12-28 15:58:29 UTC
Initial comments: (non-blockers)

* I think I'd prefer to follow the upstream name here, and stick with just 'breeze', what's the justification to use a plasma- prefix here?

* s|%{_qt5_prefix}/qml|%{_kf5_qmldir}|

Comment 2 Jan Grulich 2015-01-02 15:21:28 UTC
Renamed to breeze. Fixed macro.

Spec URL: https://jgrulich.fedorapeople.org/plasma5/breeze.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/breeze-5.1.1-1.fc21.src.rpm
Description:Artwork, styles and assets for the Breeze visual style for the Plasma Desktop. 
Fedora Account System Username: jgrulich
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8513700

Comment 3 Rex Dieter 2015-01-04 16:03:05 UTC
Naming: ok (though some suggestions follow)

1. Sorry, thinking it over, we SHOULD keep the plasma- prefix.   We already did set some precedent with plasma-oxygen and should stay consistent.

2.  on the topic of consistency and precedent, SHOULD rename breeze-kde4 to kde-style-breeze, but won't consider that a blocker.  We (kde-sig) probably ought to discuss how best to handle that moving forward.

3.  breeze-icon-theme SHOULD be split out into subpkg (add MUST add proper icon scriptlets)


sources: ok
81c324560667424a99beeb0657c02ba5  breeze-5.1.1.tar.xz

licensing: ok


4. SHOULD use better project URL, I'd suggest
URL: https://projects.kde.org/projects/kde/workspace/breeze

5.  SHOULD prefer/use
make install/fast DESTDIR=%{buildroot}
over
%make_install

Comment 4 Jan Grulich 2015-01-05 11:32:34 UTC
1. Renamed back
2. Renamed
3. Created subpkg + added missing scriptlets
4. Fixed url
5. Fixed

Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-breeze.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-breeze-5.1.1-1.fc21.src.rpm
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8527191

Comment 5 Rex Dieter 2015-01-05 12:56:43 UTC
looks good, APPROVED

Comment 6 Jan Grulich 2015-01-05 13:27:32 UTC
New Package SCM Request
=======================
Package Name: plasma-breeze
Short Description: Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Upstream URL: https://projects.kde.org/projects/kde/workspace/breeze
Owners: @kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 7 Gwyn Ciesla 2015-01-05 15:10:43 UTC
WARNING: "@kde-sig" is not a valid FAS account.

Comment 8 Jan Grulich 2015-01-05 15:32:56 UTC
New Package SCM Request
=======================
Package Name: plasma-breeze
Short Description: Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Upstream URL: https://projects.kde.org/projects/kde/workspace/breeze
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 9 Gwyn Ciesla 2015-01-05 18:11:16 UTC
WARNING: "group::kde-sig" is not a valid FAS account.

Comment 10 Jan Grulich 2015-01-05 19:44:30 UTC
New Package SCM Request
=======================
Package Name: plasma-breeze
Short Description: Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Upstream URL: https://projects.kde.org/projects/kde/workspace/breeze
Owners: rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 11 Gwyn Ciesla 2015-01-05 21:12:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.